|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionQ3DockWindow Class Reference

The QStyleOptionQ3DockWindow class is used to describe the parameters for drawing various parts of a Q3DockWindow. More...

    #include <QStyleOptionQ3DockWindow>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Public Functions

- QStyleOptionQ3DockWindow ()
- QStyleOptionQ3DockWindow ( const QStyleOptionQ3DockWindow & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- bool closeEnabled
- bool docked

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionQ3DockWindow class is used to describe the parameters for drawing various parts of a Q3DockWindow.

This class is used for drawing the old Q3DockWindow and its parts. It is not recommended for new classes.

## Member Function Documentation

### QStyleOptionQ3DockWindow::QStyleOptionQ3DockWindow ()

Constructs a QStyleOptionQ3DockWindow. The member variables are initialized to default values.

### QStyleOptionQ3DockWindow::QStyleOptionQ3DockWindow ( const QStyleOptionQ3DockWindow & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionQ3DockWindow::Type

Equals SO_Q3DockWindow.

### const int QStyleOptionQ3DockWindow::Version

Equals 1.

### bool QStyleOptionQ3DockWindow::closeEnabled

This variable holds indicates that the dock window has a close button.

### bool QStyleOptionQ3DockWindow::docked

This variable holds indicates that the dock window is currently docked.